package com.xmomen.module.base.entity;

import com.xmomen.framework.mybatis.model.BaseMybatisExample;
import java.util.ArrayList;
import java.util.List;

// 定义一个CdExpressMemberExample类，继承自BaseMybatisExample
public class CdExpressMemberExample extends BaseMybatisExample {
    // 定义一个orderByClause变量，用于存储排序字段
    protected String orderByClause;

    // 定义一个distinct变量，用于存储是否去重
    protected boolean distinct;

    // 定义一个oredCriteria变量，用于存储查询条件
    protected List<Criteria> oredCriteria;

    // 构造函数，初始化oredCriteria
    public CdExpressMemberExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    // 设置orderByClause的值
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    // 获取orderByClause的值
    public String getOrderByClause() {
        return orderByClause;
    }

    // 设置distinct的值
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    // 获取distinct的值
    public boolean isDistinct() {
        return distinct;
    }

    // 获取oredCriteria的值
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    // 添加一个查询条件
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    // 创建一个新的查询条件
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    // 创建一个新的查询条件
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    // 创建一个新的查询条件
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    // 清空oredCriteria、orderByClause和distinct的值
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    // 定义一个GeneratedCriteria内部类，用于存储查询条件
    protected abstract static class GeneratedCriteria {
        // 定义一个criteria变量，用于存储查询条件
        protected List<Criterion> criteria;

        // 构造函数，初始化criteria
        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        // 判断是否有查询条件
        public boolean isValid() {
            return criteria.size() > 0;
        }

        // 获取所有查询条件
        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        // 获取查询条件
        public List<Criterion> getCriteria() {
            return criteria;
        }

        // 添加一个查询条件
        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        // 添加一个查询条件
        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        // 添加一个查询条件
        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        // 判断ID是否为空
        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        // 判断ID是否不为空
        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        // 判断ID是否等于某个值
        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否不等于某个值
        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否大于某个值
        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否大于等于某个值
        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否小于某个值
        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否小于等于某个值
        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否在某个范围内
        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        // 判断ID是否不在某个范围内
        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        // 判断ID是否在某个范围内
        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断ID是否不在某个范围内
        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断CD_EXPRESS_ID是否为空
        public Criteria andCdExpressIdIsNull() {
            addCriterion("CD_EXPRESS_ID is null");
            return (Criteria) this;
        }

        // 判断CD_EXPRESS_ID是否不为空
        public Criteria andCdExpressIdIsNotNull() {
            addCriterion("CD_EXPRESS_ID is not null");
            return (Criteria) this;
        }

        // 判断CD_EXPRESS_ID是否等于某个值
        public Criteria andCdExpressIdEqualTo(Integer value) {
            addCriterion("CD_EXPRESS_ID =", value, "cdExpressId");
            return (Criteria) this;
        }

        // 判断CD_EXPRESS_ID是否不等于某个值
        public Criteria andCdExpressIdNotEqualTo(Integer value) {
            addCriterion("CD_EXPRESS_ID <>", value, "cdExpressId");
            return (Criteria) this;
        }

        // 判断CD_EXPRESS_ID是否大于某个值
        public Criteria andCdExpressIdGreaterThan(Integer value) {
            addCriterion("CD_EXPRESS_ID >", value, "cdExpressId");
            return (Criteria) this;
        }

        // 判断CD_EXPRESS_ID是否大于等于某个值
        public Criteria andCdExpressIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("CD_EXPRESS_ID >=", value, "cdExpressId");
            return (Criteria) this;
        }

        // 判断CD_EXPRESS_ID是否小于某个值
        public Criteria andCdExpressIdLessThan(Integer value) {
            addCriterion("CD_EXPRESS_ID <", value, "cdExpressId");
            return (Criteria) this;
        }

        // 判断CD_EXPRESS_ID是否小于等于某个值
        public Criteria andCdExpressIdLessThanOrEqualTo(Integer value) {
            addCriterion("CD_EXPRESS_ID <=", value, "cdExpressId");
            return (Criteria) this;
        }

        // 判断CD_EXPRESS_ID是否在某个范围内
        public Criteria andCdExpressIdIn(List<Integer> values) {
            addCriterion("CD_EXPRESS_ID in", values, "cdExpressId");
            return (Criteria) this;
        }

        // 判断CD_EXPRESS_ID是否不在某个范围内
        public Criteria andCdExpressIdNotIn(List<Integer> values) {
            addCriterion("CD_EXPRESS_ID not in", values, "cdExpressId");
            return (Criteria) this;
        }

        // 判断CD_EXPRESS_ID是否在某个范围内
        public Criteria andCdExpressIdBetween(Integer value1, Integer value2) {
            addCriterion("CD_EXPRESS_ID between", value1, value2, "cdExpressId");
            return (Criteria) this;
        }

        // 判断CD_EXPRESS_ID是否不在某个范围内
        public Criteria andCdExpressIdNotBetween(Integer value1, Integer value2) {
            addCriterion("CD_EXPRESS_ID not between", value1, value2, "cdExpressId");
            return (Criteria) this;
        }

        // 判断MEMBER_NAME是否为空
        public Criteria andMemberNameIsNull() {
            addCriterion("MEMBER_NAME is null");
            return (Criteria) this;
        }

        // 判断MEMBER_NAME是否不为空
        public Criteria andMemberNameIsNotNull() {
            addCriterion("MEMBER_NAME is not null");
            return (Criteria) this;
        }

        // 判断MEMBER_NAME是否等于某个值
        public Criteria andMemberNameEqualTo(String value) {
            addCriterion("MEMBER_NAME =", value, "memberName");
            return (Criteria) this;
        }

        // 判断MEMBER_NAME是否不等于某个值
        public Criteria andMemberNameNotEqualTo(String value) {
            addCriterion("MEMBER_NAME <>", value, "memberName");
            return (Criteria) this;
        }

        // 判断MEMBER_NAME是否大于某个值
        public Criteria andMemberNameGreaterThan(String value) {
            addCriterion("MEMBER_NAME >", value, "memberName");
            return (Criteria) this;
        }

        // 判断MEMBER_NAME是否大于等于某个值
        public Criteria andMemberNameGreaterThanOrEqualTo(String value) {
            addCriterion("MEMBER_NAME >=", value, "memberName");
            return (Criteria) this;
        }

        // 判断MEMBER_NAME是否小于某个值
        public Criteria andMemberNameLessThan(String value) {
            addCriterion("MEMBER_NAME <", value, "memberName");
            return (Criteria) this;
        }

        // 判断MEMBER_NAME是否小于等于某个值
        public Criteria andMemberNameLessThanOrEqualTo(String value) {
            addCriterion("MEMBER_NAME <=", value, "memberName");
            return (Criteria) this;
        }

        // 判断MEMBER_NAME是否包含某个值
        public Criteria andMemberNameLike(String value) {
            addCriterion("MEMBER_NAME like", value, "memberName");
            return (Criteria) this;
        }

        // 判断MEMBER_NAME是否不包含某个值
        public Criteria andMemberNameNotLike(String value) {
            addCriterion("MEMBER_NAME not like", value, "memberName");
            return (Criteria) this;
        }

        // 判断MEMBER_NAME是否在某个范围内
        public Criteria andMemberNameIn(List<String> values) {
            addCriterion("MEMBER_NAME in", values, "memberName");
            return (Criteria) this;
        }

        // 判断MEMBER_NAME是否不在某个范围内
        public Criteria andMemberNameNotIn(List<String> values) {
            addCriterion("MEMBER_NAME not in", values, "memberName");
            return (Criteria) this;
        }

        // 判断MEMBER_NAME是否在某个范围内
        public Criteria andMemberNameBetween(String value1, String value2) {
            addCriterion("MEMBER_NAME between", value1, value2, "memberName");
            return (Criteria) this;
        }

        // 判断MEMBER_NAME是否不在某个范围内
        public Criteria andMemberNameNotBetween(String value1, String value2) {
            addCriterion("MEMBER_NAME not between", value1, value2, "memberName");
            return (Criteria) this;
        }

        // 判断PHONE是否为空
        public Criteria andPhoneIsNull() {
            addCriterion("PHONE is null");
            return (Criteria) this;
        }

        // 判断PHONE是否不为空
        public Criteria andPhoneIsNotNull() {
            addCriterion("PHONE is not null");
            return (Criteria) this;
        }

        // 判断PHONE是否等于某个值
        public Criteria andPhoneEqualTo(String value) {
            addCriterion("PHONE =", value, "phone");
            return (Criteria) this;
        }

        // 判断PHONE是否不等于某个值
        public Criteria andPhoneNotEqualTo(String value) {
            addCriterion("PHONE <>", value, "phone");
            return (Criteria) this;
        }

        // 判断PHONE是否大于某个值
        public Criteria andPhoneGreaterThan(String value) {
            addCriterion("PHONE >", value, "phone");
            return (Criteria) this;
        }

        // 判断PHONE是否大于等于某个值
        public Criteria andPhoneGreaterThanOrEqualTo(String value) {
            addCriterion("PHONE >=", value, "phone");
            return (Criteria) this;
        }

        // 判断PHONE是否小于某个值
        public Criteria andPhoneLessThan(String value) {
            addCriterion("PHONE <", value, "phone");
            return (Criteria) this;
        }

        // 判断PHONE是否小于等于某个值
        public Criteria andPhoneLessThanOrEqualTo(String value) {
            addCriterion("PHONE <=", value, "phone");
            return (Criteria) this;
        }

        // 判断PHONE是否包含某个值
        public Criteria andPhoneLike(String value) {
            addCriterion("PHONE like", value, "phone");
            return (Criteria) this;
        }

        // 判断PHONE是否不包含某个值
        public Criteria andPhoneNotLike(String value) {
            addCriterion("PHONE not like", value, "phone");
            return (Criteria) this;
        }

        // 判断PHONE是否在某个范围内
        public Criteria andPhoneIn(List<String> values) {
            addCriterion("PHONE in", values, "phone");
            return (Criteria) this;
        }

        // 判断PHONE是否不在某个范围内
        public Criteria andPhoneNotIn(List<String> values) {
            addCriterion("PHONE not in", values, "phone");
            return (Criteria) this;
        }

        // 判断PHONE是否在某个范围内
        public Criteria andPhoneBetween(String value1, String value2) {
            addCriterion("PHONE between", value1, value2, "phone");
            return (Criteria) this;
        }

        // 判断PHONE是否不在某个范围内
        public Criteria andPhoneNotBetween(String value1, String value2) {
            addCriterion("PHONE not between", value1, value2, "phone");
            return (Criteria) this;
        }
    }

    // 定义一个Criteria内部类，继承自GeneratedCriteria
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    // 定义一个Criterion内部类，用于存储查询条件
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        // 获取condition的值
        public String getCondition() {
            return condition;
        }

        // 获取value的值
        public Object getValue() {
            return value;
        }

        // 获取secondValue的值
        public Object getSecondValue() {
            return secondValue;
        }

        // 判断是否有value
        public boolean isNoValue() {
            return noValue;
        }

        // 判断是否只有一个value
        public boolean isSingleValue() {
            return singleValue;
        }

        // 判断是否在某个范围内
        public boolean isBetweenValue() {
            return betweenValue;
        }

        // 判断是否在某个范围内
        public boolean isListValue() {
            return listValue;
        }

        // 获取typeHandler的值
        public String getTypeHandler() {
            return typeHandler;
        }

        // 构造函数，初始化condition、typeHandler和noValue
        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        // 构造函数，初始化condition、value、typeHandler和singleValue
        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        // 构造函数，初始化condition、value和singleValue
        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        // 构造函数，初始化condition、value、secondValue、typeHandler和betweenValue
        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        // 构造函数，初始化condition、value、secondValue和betweenValue
        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}